--- old/usr/src/uts/common/fs/zfs/bptree.c	Thu Jul 26 14:19:06 2012
+++ new/usr/src/uts/common/fs/zfs/bptree.c	Thu Jul 26 14:19:05 2012
@@ -72,7 +72,7 @@
 	 * Bonus buffer contents are already initialized to 0, but for
 	 * readability we make it explicit.
 	 */
-	VERIFY3U(0, ==, dmu_bonus_hold(os, obj, FTAG, &db));
+	VERIFY0(dmu_bonus_hold(os, obj, FTAG, &db));
 	dmu_buf_will_dirty(db, tx);
 	bt = db->db_data;
 	bt->bt_begin = 0;
@@ -91,12 +91,12 @@
 	dmu_buf_t *db;
 	bptree_phys_t *bt;
 
-	VERIFY3U(0, ==, dmu_bonus_hold(os, obj, FTAG, &db));
+	VERIFY0(dmu_bonus_hold(os, obj, FTAG, &db));
 	bt = db->db_data;
 	ASSERT3U(bt->bt_begin, ==, bt->bt_end);
-	ASSERT3U(bt->bt_bytes, ==, 0);
-	ASSERT3U(bt->bt_comp, ==, 0);
-	ASSERT3U(bt->bt_uncomp, ==, 0);
+	ASSERT0(bt->bt_bytes);
+	ASSERT0(bt->bt_comp);
+	ASSERT0(bt->bt_uncomp);
 	dmu_buf_rele(db, FTAG);
 
 	return (dmu_object_free(os, obj, tx));
@@ -117,7 +117,7 @@
 	 */
 	ASSERT(dmu_tx_is_syncing(tx));
 
-	VERIFY3U(0, ==, dmu_bonus_hold(os, obj, FTAG, &db));
+	VERIFY0(dmu_bonus_hold(os, obj, FTAG, &db));
 	bt = db->db_data;
 
 	bte.be_birth_txg = birth_txg;
@@ -197,7 +197,7 @@
 				/* save bookmark for future resume */
 				ASSERT3U(bte.be_zb.zb_objset, ==,
 				    ZB_DESTROYED_OBJSET);
-				ASSERT3U(bte.be_zb.zb_level, ==, 0);
+				ASSERT0(bte.be_zb.zb_level);
 				dmu_write(os, obj, i * sizeof (bte),
 				    sizeof (bte), &bte, tx);
 				break;
@@ -213,9 +213,9 @@
 
 	/* if all blocks are free there should be no used space */
 	if (ba.ba_phys->bt_begin == ba.ba_phys->bt_end) {
-		ASSERT3U(ba.ba_phys->bt_bytes, ==, 0);
-		ASSERT3U(ba.ba_phys->bt_comp, ==, 0);
-		ASSERT3U(ba.ba_phys->bt_uncomp, ==, 0);
+		ASSERT0(ba.ba_phys->bt_bytes);
+		ASSERT0(ba.ba_phys->bt_comp);
+		ASSERT0(ba.ba_phys->bt_uncomp);
 	}
 
 	dmu_buf_rele(db, FTAG);
